Available in VPC
Get the list of server instances (VMs).
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | POST | /vserver/v2/getServerInstanceList |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all Server APIs, see Server request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code
|
vpcNo |
String | Optional | Filter by the VPC number.
|
serverInstanceNoList.N |
Array | Optional | Server instance number list
|
serverName |
String | Optional | Filter by server name. |
serverInstanceStatusCode |
String | Optional | Filter by the server instance status code.
|
baseBlockStorageDiskTypeCode |
String | Optional | Filter by the default block storage disk type code.
|
baseBlockStorageDiskDetailTypeCode |
String | Optional | Filter by the detailed type code of the default block storage disk.
|
ip |
String | Optional | Filter by the server IP address.
|
placementGroupNoList.N |
Array | Optional | Physical placement group number list
|
hypervisorTypeCodeList.N |
Array | Optional | Hypervisor type code list
|
fabricClusterPoolNo |
String | Optional | Filter by Fabric cluster pool number. |
fabricClusterNo |
String | Optional | Filter by Fabric cluster number.
|
fabricClusterMode |
String | Optional | Filter by Fabric cluster mode.
|
pageNo |
Integer | Optional | Page number
|
pageSize |
Integer | Conditional | Number of items per page
|
sortedBy |
String | Optional | Sort by
|
sortingOrder |
String | Optional | Sort order
|
responseFormatType |
String | Optional | Format of the response data
|
Request example
The request example is as follows:
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getServerInstanceList
?regionCode=KR
&vpcNo=*****
&serverInstanceNoList.1=*****8773
&serverName=test-***
&serverInstanceStatusCode=RUN
&baseBlockStorageDiskTypeCode=NET
&baseBlockStorageDiskDetailTypeCode=SSD
&ip=221.188.***.***
&placementGroupNoList.1=***45
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
getServerInstanceListResponse |
Object | - | Response result
|
getServerInstanceListResponse.requestId |
String | - | ID for the request
|
getServerInstanceListResponse.returnCode |
String | - | Response code |
getServerInstanceListResponse.returnMessage |
String | - | Response message |
Response status codes
For information about the HTTP status codes common to all Server APIs, see Server response status codes.
Response example
The response example is as follows:
For server
{
"getServerInstanceListResponse": {
"totalRows": 1,
"serverInstanceList": [
{
"serverInstanceNo": "*****8773",
"serverName": "test-***",
"serverDescription": "",
"cpuCount": 4,
"memorySize": 8589934592,
"platformType": {
"code": "UBD64",
"codeName": "Ubuntu Desktop 64 Bit"
},
"loginKeyName": "test-***",
"publicIpInstanceNo": "*****8824",
"publicIp": "211.188.***.***",
"serverInstanceStatus": {
"code": "RUN",
"codeName": "Server RUN status"
},
"serverInstanceOperation": {
"code": "NULL",
"codeName": "Server NULL OP"
},
"serverInstanceStatusName": "running",
"createDate": "2025-06-11T17:00:14+0900",
"uptime": "2025-06-19T16:49:07+0900",
"serverImageProductCode": "SW.VSVR.OS.LNX64.UBNTU.SVR24.G003",
"serverProductCode": "SVR.VSVR.CPU.C004.M008.G003",
"isProtectServerTermination": true,
"zoneCode": "KR-1",
"regionCode": "KR",
"vpcNo": "***75",
"subnetNo": "****36",
"networkInterfaceNoList": [
"*****30"
],
"initScriptNo": "",
"serverInstanceType": {
"code": "CPU",
"codeName": "CPU Intensive"
},
"baseBlockStorageDiskType": {
"code": "NET",
"codeName": "Network storage"
},
"baseBlockStorageDiskDetailType": {
"code": "SSD",
"codeName": "SSD"
},
"placementGroupNo": "",
"placementGroupName": "",
"memberServerImageInstanceNo": "",
"hypervisorType": {
"code": "KVM",
"codeName": "KVM"
},
"serverImageNo": "104630229",
"serverSpecCode": "ci4-g3",
"eventList": [],
"fabricClusterPoolNo": "",
"fabricClusterPoolName": "",
"fabricClusterMode": "",
"fabricClusterNo": "",
"fabricClusterName": ""
}
],
"requestId": "f116d46e-638e-43d8-9047-e48746b6e6cf",
"returnCode": "0",
"returnMessage": "success"
}
}
For bare metal
{
"getServerInstanceListResponse": {
"totalRows": 1,
"serverInstanceList": [
{
"serverInstanceNo": "****2594",
"serverName": "test-***",
"serverDescription": "test",
"cpuCount": 64,
"memorySize": 2199023255552,
"platformType": {
"code": "LNX64",
"codeName": "Linux 64 Bit"
},
"loginKeyName": "test-***",
"serverInstanceStatus": {
"code": "RUN",
"codeName": "Server RUN status"
},
"serverInstanceOperation": {
"code": "NULL",
"codeName": "Server NULL OP"
},
"serverInstanceStatusName": "running",
"createDate": "2025-12-12T13:36:17+0900",
"uptime": "2026-01-05T10:29:51+0900",
"serverImageProductCode": "SW.VSVR.BM.OS.LNX64.UBNTU.SVR24.WRKND.G001",
"serverProductCode": "SVR.VSVR.BM.GPU.H200N10.G008.C064.M2048.LOCAL.SSD.B48145.G001",
"isProtectServerTermination": false,
"zoneCode": "KR-1",
"regionCode": "KR",
"vpcNo": "***84",
"subnetNo": "***54",
"networkInterfaceNoList": [
"***143"
],
"serverInstanceType": {
"code": "BM",
"codeName": "BareMetal"
},
"baseBlockStorageDiskType": {
"code": "LOCAL",
"codeName": "Local storage"
},
"baseBlockStorageDiskDetailType": {
"code": "SSD",
"codeName": "SSD"
},
"hypervisorType": {
"code": "BM",
"codeName": "BM"
},
"fabricClusterPoolNo": "***01",
"fabricClusterPoolName": "test-***",
"fabricClusterMode": "SINGLE",
"isPreInstallGpuDriver": false
}
],
"requestId": "b340fcb4-74b1-4223-ab36-b8c1b67c56f1",
"returnCode": "0",
"returnMessage": "success"
}
}